Update flow
curl --request PATCH \
--url https://api.portable.io/v2/flows/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"source": 87541,
"destination": 89532
}
'import requests
url = "https://api.portable.io/v2/flows/{id}"
payload = {
"source": 87541,
"destination": 89532
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({source: 87541, destination: 89532})
};
fetch('https://api.portable.io/v2/flows/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 689422,
"displayName": "My Google Calendar to BigQuery Flow",
"source": 80190,
"destination": 689422,
"cron": "7 5 * * 5"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Flows
Update flow
Update an existing flow
PATCH
/
v2
/
flows
/
{id}
Update flow
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID
Example:
568971
Body
application/json
Flow to update
A human-readable name for the flow
Example:
"My Freshsales to Snowflake Flow"
The frequency at which the flow should run. Mutally exclusive with the cron field.
Available options:
manual, 24h, 12h, 6h, 1h, 30m, 15m If provided, the flow will run according to this cron expression. Overrides the frequency field.
Response
OK
Show child attributes
Show child attributes
⌘I

